9 Replies Latest reply: Oct 15, 2012 7:56 PM by Vegan Advocate
Vegan Advocate Level 1 (15 points)

I have an older touch and apps will not install complaining they want a newer version of IOS


my old touch is 16 GB so there is some room for more software


it comes with iOS 2.2.1 and I see no reason it cannot be upgraded to a newer version of iOS

iPod touch, iOS 2.x